Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

OSX binary for 1.9.3-p194 contains links to mpapis home dir #1146

Closed
jschwertfeger opened this Issue · 13 comments

4 participants

@jschwertfeger

No description provided.

@mpapis
Owner

can you provide output of this command:

find $MY_RUBY_HOME -name "*.bundle" | xargs otool -L | grep -v "^$MY_RUBY_HOME/lib/ruby" | sort -u
@jschwertfeger

I've already cleaned out my ~/.rvm directory and installed 1.9.3 from source via rvm install 1.9.3 --disable-binary. I assume it doesn't help you if I ran this command now, no?

@jschwertfeger

Just as a side info: This happened on a fresh install of RVM; I've had some compilation issues which is why I removed ~/.rvm, ran curl -L https://get.rvm.io | bash and then rvm install 1.9.3. Then I went into one of my projects and did bundle install, which failed when it tried to compile native extensions with this error: ld: warning: directory not found for option '-L/Users/mpapis/.rvm/rubies/ruby-1.9.3-p194/lib'

@mpapis
Owner

this is ruby -rrbconfig -e "puts RbConfig::CONFIG['configure_args']", this can be fixed, thank you for reporting, I will release fix + new build soon.

@mpapis mpapis was assigned
@jschwertfeger

No problem.

@mpapis
Owner

code is fixed in 1.16.10 with 0f3af07

new binary rubies will come a bit later

there is still other issue:

/home/mpapis/.rvm/rubies/ruby-1.9.3-p194/lib64/ruby/gems/1.9.1 -> /home/mpapis/.rvm/gems/ruby-1.9.3-p194
@mpapis mpapis closed this in af37a07
@mpapis
Owner

scheduled for 1.16.15

@mpapis mpapis reopened this
@mpapis
Owner

... not ready yet, rescheduling to later

@mpapis mpapis closed this in 342e16e
@mpapis
Owner

scheduled for 1.16.17

@mpapis mpapis reopened this
@mpapis mpapis closed this in 70c2967
@rbuck

Has this problem been fixed yet? Above it says its been released, but I still see this:

Roberts-MacBook-Pro-3:quickpoll rbuck$ ruby -rrbconfig -e "puts RbConfig::CONFIG['configure_args']"
'--enable-load-relative' '--with-static-linked-ext' '--disable-shared' '--disable-install-doc' '--prefix=/Users/mpapis/.sm/pkg/versions/tokaidoapp/1.9.3-p327' '--with-arch=x86_64' '--sysconfdir=/etc' 'CC=/usr/bin/gcc-4.2' 'CFLAGS=-I/Users/mpapis/.sm/pkg/active/include' 'LDFLAGS=-Bstatic -L/Users/mpapis/.sm/pkg/active/lib'
Roberts-MacBook-Pro-3:quickpoll rbuck$ rvm --version

rvm 1.17.8 (stable) by Wayne E. Seguin wayneeseguin@gmail.com, Michal Papis mpapis@gmail.com [https://rvm.io/]

@richo
Collaborator

This was fixed months ago. Did you rebuild your ruby since the fix went out?

@mpapis
Owner

this could be because of this problem https://bugs.ruby-lang.org/issues/7172 - I will copy proper patches from https://github.com/wayneeseguin/rvm to https://github.com/tokaido/tokaido-build and try to rebuild shortly (although not sure if today). @rbuck please open a new ticket if you are interested in tracking progress of the new binary.

@rbuck

Imploding RVM and reinstalling fixed it. Thanks.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.